Skip to main content
GET
DexPool - Liquidity Snapshots

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
poolAddress
string
required

A pool address

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
time
integer<int64>

Target Unix timestamp for snapshot query

Response

200 - application/json

Successful response

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="

total
integer<int64> | null

Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).

Example:

564094